org.apache.tomcat.util.net.openssl

## Class OpenSSLKeyManager

- java.lang.Object
- - org.apache.tomcat.util.net.openssl.OpenSSLKeyManager

- All Implemented Interfaces:
    KeyManager

      public class OpenSSLKeyManager
      extends Object
      implements KeyManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getCertificateChain()`
    `File` | `getPrivateKey()`
    `void` | `setCertificateChain(File certificateChain)`
    `void` | `setPrivateKey(File privateKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCertificateChain

          public File getCertificateChain()

    - #### setCertificateChain

          public void setCertificateChain(File certificateChain)

    - #### getPrivateKey

          public File getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey(File privateKey)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.